import { MessageStyles, ErrorMessageOverrides, MessageContent, OnNewMessage } from './types/messages';
import { ValidateMessageBeforeSending } from './types/validateMessageBeforeSending';
import { InternalHTML } from './utils/webComponent/internalHTML';
import { SubmitButtonStyles } from './types/submitButton';
import { DropupStyles } from './types/dropupStyles';
import { ServiceIO } from './services/serviceIO';
import { Microphone } from './types/microphone';
import { TextInput } from './types/textInput';
import { CustomStyle } from './types/styles';
import { Service } from './types/service';
import { Avatars } from './types/avatars';
import { Names } from './types/names';
export declare class AiAssistant extends InternalHTML {
    validateKeyProperty?: boolean;
    service?: Service;
    attachmentContainerStyle?: CustomStyle;
    dragAndDrop?: boolean | CustomStyle;
    speechToTextInput?: Microphone;
    speechOutput?: boolean;
    containerStyle?: CustomStyle;
    dropupStyles?: DropupStyles;
    textInput?: TextInput;
    inputAreaStyle?: CustomStyle;
    submitButtonStyles?: SubmitButtonStyles;
    messageStyles?: MessageStyles;
    avatars?: Avatars;
    names?: Names;
    initialMessages?: MessageContent[];
    introMessage?: string;
    introPanelStyle?: CustomStyle;
    errorMessageOverrides?: ErrorMessageOverrides;
    displayLoadingBubble?: boolean;
    auxiliaryStyle?: string;
    onNewMessage?: OnNewMessage;
    onComponentRender?: () => void;
    validateMessageBeforeSending?: ValidateMessageBeforeSending;
    focusInput: () => void;
    getMessages: () => MessageContent[];
    submitUserMessage: (userText: string, files?: File[]) => void;
    _hasBeenRendered: boolean;
    _auxiliaryStyleApplied: boolean;
    _activeService?: ServiceIO;
    _childElement?: HTMLElement;
    constructor();
    private readonly _elementRef;
    private changeToChatView;
    onRender(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'ai-assistant': AiAssistant;
    }
}
//# sourceMappingURL=aiAssistant.d.ts.map