import { AzureSummarizationResult } from '../../types/azureResult';
import { AzureSummarizationConfig } from '../../types/azure';
import { CompletionsHandlers, PollResult } from '../serviceIO';
import { Messages } from '../../views/chat/messages/messages';
import { MessageContent } from '../../types/messages';
import { AzureLanguageIO } from './azureLanguageIO';
import { AiAssistant } from '../../aiAssistant';
type RawBody = Required<Pick<AzureSummarizationConfig, 'language'>>;
export declare class AzureSummarizationIO extends AzureLanguageIO {
    url: string;
    textInputPlaceholderText: string;
    private messages?;
    private completionsHandlers?;
    private readonly _raw_body;
    constructor(aiAssistant: AiAssistant);
    preprocessBody(body: RawBody, messages: MessageContent[]): {
        analysisInput: {
            documents: {
                id: string;
                language: string;
                text: string;
            }[];
        };
        tasks: {
            kind: string;
        }[];
    } | undefined;
    callApi(messages: Messages, completionsHandlers: CompletionsHandlers): void;
    extractResultData(result: Response): Promise<{
        pollingInAnotherRequest: true;
    }>;
    extractPollResultData(result: AzureSummarizationResult): PollResult;
}
export {};
//# sourceMappingURL=azureSummarizationIO.d.ts.map