import { CohereGenerateConfig, CohereSummarizationConfig } from '../../types/cohere';
import { ServiceCallConfig } from '../../types/requestSettings';
import { Messages } from '../../views/chat/messages/messages';
import { InterfacesUnion } from '../../types/utilityTypes';
import { BaseServideIO } from '../utils/baseServiceIO';
import { MessageContent } from '../../types/messages';
import { CompletionsHandlers } from '../serviceIO';
import { GenericObject } from '../../types/object';
import { AiAssistant } from '../../aiAssistant';
type Body = InterfacesUnion<CohereGenerateConfig | CohereSummarizationConfig>;
type CohereServiceConfig = true | (GenericObject<string> & ServiceCallConfig);
export declare class CohereIO extends BaseServideIO {
    insertKeyPlaceholderText: string;
    getKeyLink: string;
    textInputPlaceholderText: string;
    url: string;
    private readonly _raw_body;
    constructor(aiAssistant: AiAssistant, url: string, inptPlaceholder: string, config?: CohereServiceConfig);
    preprocessBody(body: Body, messages: MessageContent[]): any;
    callApi(messages: Messages, completionsHandlers: CompletionsHandlers): void;
}
export {};
//# sourceMappingURL=cohereIO.d.ts.map