import { CompletionsHandlers, StreamHandlers } from '../serviceIO';
import { ServiceCallConfig } from '../../types/requestSettings';
import { Messages } from '../../views/chat/messages/messages';
import { HuggingFaceModel } from '../../types/huggingFace';
import { BaseServideIO } from '../utils/baseServiceIO';
import { MessageContent } from '../../types/messages';
import { FILE_TYPES } from '../../types/fileTypes';
import { AiAssistant } from '../../aiAssistant';
type HuggingFaceServiceConfigObj = {
    parameters?: object;
    options?: object;
    context?: string;
};
type HuggingFaceServiceConfig = true | (HuggingFaceModel & HuggingFaceServiceConfigObj & ServiceCallConfig);
export declare class HuggingFaceIO<T extends HuggingFaceServiceConfigObj = {}> extends BaseServideIO {
    insertKeyPlaceholderText: string;
    getKeyLink: string;
    private static readonly URL_PREFIX;
    introPanelMarkUp: string;
    url: string;
    textInputPlaceholderText: string;
    private readonly _raw_body;
    constructor(aiAssistant: AiAssistant, textInputPlaceholderText: string, defaultModel: string, config?: HuggingFaceServiceConfig, fileType?: FILE_TYPES);
    preprocessBody(body: HuggingFaceServiceConfigObj, messages: MessageContent[], _?: File[]): {
        parameters?: object | undefined;
        options?: (object & {
            wait_for_model?: boolean | undefined;
        }) | undefined;
        context?: string | undefined;
        inputs: string;
    } | undefined;
    callApi(messages: Messages, completionsHandlers: CompletionsHandlers, _: StreamHandlers, files?: File[]): void;
}
export {};
//# sourceMappingURL=huggingFaceIO.d.ts.map