import { CompletionsHandlers, StreamHandlers } from '../serviceIO';
import { Messages } from '../../views/chat/messages/messages';
import { OpenAIAudioResult } from '../../types/openAIResult';
import { BaseServideIO } from '../utils/baseServiceIO';
import { AiAssistant } from '../../aiAssistant';
import { Result } from '../../types/result';
export declare class OpenAIAudioIO extends BaseServideIO {
    insertKeyPlaceholderText: string;
    getKeyLink: string;
    private static readonly AUDIO_TRANSCRIPTIONS_URL;
    private static readonly AUDIO_TRANSLATIONS_URL;
    private static readonly DEFAULT_MODEL;
    introPanelMarkUp: string;
    url: string;
    permittedErrorPrefixes: Set<string>;
    private readonly _maxCharLength;
    private readonly _raw_body;
    private _service_url;
    constructor(aiAssistant: AiAssistant);
    private static canSendFileMessage;
    private processConfig;
    private static cleanConfig;
    private static createFormDataBody;
    private preprocessBody;
    callApi(messages: Messages, completionsHandlers: CompletionsHandlers, _: StreamHandlers, files?: File[]): void;
    extractResultData(result: OpenAIAudioResult): Promise<Result>;
}
//# sourceMappingURL=openAIAudioIO.d.ts.map