import { SystemMessageInternal } from '../../types/openAIInternal';
import { CompletionsHandlers, StreamHandlers } from '../serviceIO';
import { OpenAIConverseResult } from '../../types/openAIResult';
import { Messages } from '../../views/chat/messages/messages';
import { BaseServideIO } from '../utils/baseServiceIO';
import { AiAssistant } from '../../aiAssistant';
import { Result } from '../../types/result';
export declare class OpenAIChatIO extends BaseServideIO {
    insertKeyPlaceholderText: string;
    getKeyLink: string;
    url: string;
    private readonly _raw_body;
    private readonly _systemMessage;
    private readonly _total_messages_max_char_length?;
    private readonly _max_messages?;
    constructor(aiAssistant: AiAssistant);
    static generateSystemMessage(systemPrompt: string): SystemMessageInternal;
    private cleanConfig;
    private preprocessBody;
    callApi(messages: Messages, completionsHandlers: CompletionsHandlers, streamHandlers: StreamHandlers): void;
    extractResultData(result: OpenAIConverseResult): Promise<Result>;
}
//# sourceMappingURL=openAIChatIO.d.ts.map