import { CameraFilesServiceConfig, MicrophoneFilesServiceConfig } from '../../types/fileServiceConfigs';
import { AudioRecordingFiles, AudioFiles } from '../../types/microphone';
import { CameraFiles, ImageFiles } from '../../types/camera';
import { FileAttachments } from '../../types/fileAttachments';
import { FileServiceIO } from '../serviceIO';
import { Button } from '../../types/button';
import { Remarkable } from 'remarkable';
type AudioConfig = MicrophoneFilesServiceConfig & {
    files: AudioRecordingFiles;
};
export declare class ConfigProcessingUtils {
    static processImagesConfig(images: FileServiceIO, remark: Remarkable, files?: FileAttachments, button?: Button): void;
    static processCameraConfig(camera: ImageFiles['camera']): CameraFilesServiceConfig & {
        files: CameraFiles;
    };
    static processAudioConfig(audio: FileServiceIO, remark: Remarkable, files?: FileAttachments, button?: Button): void;
    static processRecordAudioConfig(microphone: AudioFiles['microphone'], config?: AudioConfig): AudioConfig;
}
export {};
//# sourceMappingURL=configProcessingUtils.d.ts.map