import { ServiceCallConfig } from './requestSettings';
import { GenericObject } from './object';
export interface CohereSummarizationConfig {
    model?: 'summarize-medium' | 'summarize-xlarge';
    length?: 'auto' | 'short' | 'medium' | 'long';
    format?: 'auto' | 'paragraph' | 'bullets';
    extractiveness?: 'auto' | 'low' | 'medium' | 'high';
    temperature?: number;
    additional_command?: string;
}
export interface CohereGenerateConfig {
    model?: 'base-light' | 'base';
    max_tokens?: number;
    temperature?: number;
    k?: number;
    p?: number;
    frequency_penalty?: number;
    presence_penalty?: number;
    end_sequences?: string[];
    stop_sequences?: string[];
    logit_bias?: GenericObject<string | number>;
    truncate?: 'NONE' | 'START' | 'END';
}
export interface Cohere {
    textGeneration?: true | (ServiceCallConfig & CohereGenerateConfig);
    summarization?: true | (ServiceCallConfig & CohereSummarizationConfig);
}
//# sourceMappingURL=cohere.d.ts.map