import { CameraFilesServiceConfig, FilesServiceConfig, MicrophoneFilesServiceConfig } from './fileServiceConfigs';
import { RequestInterceptor, ResponseInterceptor } from './interceptors';
import { RequestSettings } from './requestSettings';
import { MessageLimits } from './chatLimits';
import { Result } from './result';
import { Demo } from './demo';
export type CustomServiceConfig = {
    request?: RequestSettings;
    stream?: boolean;
    images?: boolean | FilesServiceConfig;
    audio?: boolean | FilesServiceConfig;
    mixedFiles?: boolean | FilesServiceConfig;
    camera?: boolean | CameraFilesServiceConfig;
    microphoneAudio?: boolean | MicrophoneFilesServiceConfig;
    requestInterceptor?: RequestInterceptor;
    responseInterceptor?: ResponseInterceptor;
    displayServiceErrorMessages?: boolean;
    demo?: Demo;
    [key: string]: unknown;
} & MessageLimits;
export interface CustomServiceResponse {
    result?: Result;
    error?: string;
}
//# sourceMappingURL=customService.d.ts.map